{: test a compilation error occurs when the rhs of the in operator is incorrect }

{$d+}
program e043( output );

var
   x : real;


begin {e043}

   x := 89;
   if 1 in [0..x] then { !!! x must be integer, not real }
    writeln( 'fails: non-ordinal rhs of in operator not detected' );

end. {e043}

